## IdeTemplateProvider IdeTemplateProvider |

## Functions

GList * | ide_template_provider_get_project_templates ()

## Types and Values

#define | IDE_TYPE_TEMPLATE_PROVIDER
struct | IdeTemplateProviderInterface
| IdeTemplateProvider

## Object Hierarchy

        GInterface
        ╰── IdeTemplateProvider

## Prerequisites

IdeTemplateProvider requires GObject.

## Description

## Functions

### ide_template_provider_get_project_templates ()

    GList *
    ide_template_provider_get_project_templates
                                   (IdeTemplateProvider *self);

Gets a list of templates for this provider.

Plugins should implement this interface to feed IdeProjectTemplate's into the project creation workflow.

#### Parameters

self | An IdeTemplateProvider |

#### Returns

a GList of IdeProjectTemplate instances.

[transfer full][element-type Ide.ProjectTemplate]

## Types and Values

### IDE_TYPE_TEMPLATE_PROVIDER

    #define IDE_TYPE_TEMPLATE_PROVIDER (ide_template_provider_get_type())

### struct IdeTemplateProviderInterface

    struct IdeTemplateProviderInterface {
      GTypeInterface parent_iface;

      GList *(*get_project_templates) (IdeTemplateProvider *self);
    };

### IdeTemplateProvider

    typedef struct _IdeTemplateProvider IdeTemplateProvider;